# Generated by Django 3.0 on 2019-12-21 13:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Plan_facturation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('libelle', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Type_accompagnement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('libelle', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Projet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255)),
                ('ville', models.CharField(max_length=255)),
                ('departement', models.IntegerField()),
                ('cloture', models.DateField()),
                ('accompagnement', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projets.Type_accompagnement')),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projets.Client')),
                ('plan_facturation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projets.Plan_facturation')),
            ],
        ),
    ]
